Skip to main content
GET
/
contexts
List contexts
curl --request GET \
  --url https://apigcp.trynia.ai/v2/contexts \
  --header 'Authorization: Bearer <token>'
{
  "pagination": {
    "total": 123,
    "limit": 123,
    "offset": 123,
    "has_more": true
  },
  "total": 123,
  "items": [
    {}
  ],
  "contexts": [
    {}
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.trynia.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Query Parameters

limit
integer
default:20

Number of contexts to return

Required range: 1 <= x <= 100
offset
integer
default:0

Number of contexts to skip

Required range: x >= 0
tags
string | null

Comma-separated tags to filter by

agent_source
string | null

Filter by agent source

memory_type
string | null

Filter by memory type: scratchpad, episodic, fact, procedural

Response

Successful Response

Backwards-compatible context list response.

pagination
PaginationInfo · object
required

Pagination metadata

total
integer
required

Legacy total count

items
Items · object[]

List of contexts

contexts
Contexts · object[]

Legacy contexts list